edu.isi.pegasus.planner.invocation

## Class Temporary

- java.lang.Object
- - org.griphyn.vdl.Chimera
  - - edu.isi.pegasus.planner.invocation.Invocation
    - - edu.isi.pegasus.planner.invocation.File
      - - edu.isi.pegasus.planner.invocation.Temporary

All Implemented Interfaces:
  HasDescriptor, HasFilename, HasText, java.io.Serializable

Direct Known Subclasses:
  Fifo

    public class Temporary
    extends File
    implements HasDescriptor, HasFilename

This class is the container for a temporary file object. A temporary file object contains a filename and a file descriptor.

Version:
  $Revision$
Author:
  Jens-S. Vöckler, Yong Zhao
See Also:
  Serialized Form

### Field Summary

Fields
`protected int` `m_descriptor` Descriptor of the file.
`protected java.lang.String` `m_filename` Name of the file.

### Fields inherited from class edu.isi.pegasus.planner.invocation.File

`m_hexbyte`

### Constructor Summary

Constructors
Constructor and Description
`Temporary()` Default c'tor: Construct a hollow shell and allow further information to be added later.
`Temporary(java.lang.String filename, int descriptor)` Constructs a temporary file object.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getDescriptor()` Accessor
`java.lang.String` `getFilename()` Accessor
`void` `setDescriptor(int descriptor)` Accessor.
`void` `setFilename(java.lang.String filename)` Accessor.
`void` `toXML(java.io.Writer stream, java.lang.String indent, java.lang.String namespace)` Dump the state of the current element as XML output.

### Methods inherited from class edu.isi.pegasus.planner.invocation.File

`appendValue, getValue, setValue, toString`

### Methods inherited from class org.griphyn.vdl.Chimera

`escape, quote, toString, toXML, toXML, writeAttribute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### m_filename

    protected java.lang.String m_filename

Name of the file.

#### m_descriptor

    protected int m_descriptor

Descriptor of the file.

### Constructor Detail

#### Temporary

    public Temporary()

Default c'tor: Construct a hollow shell and allow further information to be added later.

#### Temporary

    public Temporary(java.lang.String filename,
                     int descriptor)

Constructs a temporary file object.

Parameters:
  `filename` - is the name of the file that stat was invoked
  `descriptor` - is a valid file descriptor number.

### Method Detail

#### getFilename

    public java.lang.String getFilename()

Accessor

Specified by:
  `getFilename` in interface `HasFilename`
Returns:
  the name of the file objects. Null is legal.
See Also:
  `setFilename(String)`

#### setFilename

    public void setFilename(java.lang.String filename)

Accessor.

Specified by:
  `setFilename` in interface `HasFilename`
Parameters:
  `filename` -
See Also:
  `getFilename()`

#### getDescriptor

    public int getDescriptor()

Accessor

Specified by:
  `getDescriptor` in interface `HasDescriptor`
Returns:
  the descriptor number, or -1 for none.
See Also:
  `setDescriptor(int)`

#### setDescriptor

    public void setDescriptor(int descriptor)

Accessor.

Specified by:
  `setDescriptor` in interface `HasDescriptor`
Parameters:
  `descriptor` -
See Also:
  `getDescriptor()`

#### toXML

    public void toXML(java.io.Writer stream,
                      java.lang.String indent,
                      java.lang.String namespace)
               throws java.io.IOException

Dump the state of the current element as XML output. This function traverses all sibling classes as necessary, and converts the data into pretty-printed XML output. The stream interface should be able to handle large output efficiently.

Specified by:
  `toXML` in class `org.griphyn.vdl.Chimera`
Parameters:
  `stream` - is a stream opened and ready for writing. This can also be a string stream for efficient output.
  `indent` - is a `String` of spaces used for pretty printing. The initial amount of spaces should be an empty string. The parameter is used internally for the recursive traversal. If a `null` value is specified, no indentation nor linefeeds will be generated.
  `namespace` - is the XML schema namespace prefix. If neither empty nor null, each element will be prefixed with this prefix, and the root element will map the XML namespace.
Throws:
  `java.io.IOException` - if something fishy happens to the stream.
See Also:
  `BufferedWriter`